FeatureInfo (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.modeler

## Class FeatureInfo

- java.lang.Object
- - org.apache.tomcat.util.modeler.FeatureInfo

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AttributeInfo, NotificationInfo, OperationInfo, ParameterInfo

      public class FeatureInfo
      extends Object
      implements Serializable

  Convenience base class for `AttributeInfo` and `OperationInfo` classes that will be used to collect configuration information for the `ModelMBean` beans exposed for management.

  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `description`
    `protected MBeanFeatureInfo` | `info`
    `protected String` | `name`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getName()`
    `String` | `getType()`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected String description

    - #### name

          protected String name

    - #### info

          protected MBeanFeatureInfo info

    - #### type

          protected String type

  - ### Constructor Detail

    - #### FeatureInfo

          public FeatureInfo()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Returns:
        the human-readable description of this feature.

    - #### setDescription

          public void setDescription(String description)

    - #### getName

          public String getName()

      Returns:
        the name of this feature, which must be unique among features in the same collection.

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

      Returns:
        the fully qualified Java class name of this element.

    - #### setType

          public void setType(String type)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.